ip_count_list increments even if port creation is not successfull

Bug #1772156 reported by Musa Abdin on 2018-05-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R3.2
Fix Committed
Critical
Suresh Vinapamula
R4.0
In Progress
Critical
Suresh Vinapamula
R4.1
Fix Committed
Critical
Suresh Vinapamula
R5.0
Fix Committed
Critical
Suresh Vinapamula
Trunk
In Progress
Critical
Suresh Vinapamula

Bug Description

In a setup of contrail 4.1.0 and RHOSP 10, when neutron port creation fails due to an exhausted subnet, the ip_count_list keeps incrementing:

[heat-admin@overcloud-contrailcontroller-0 ~]$ curl -H "X-Auth-Token: `openstack token issue -c id -f value`" http://192.168.122.11:8082/virtual-network/18067a99-ed12-4a74-8b50-92577dc27bdb/subnet-ip-count -H "Content-Type: application/json" -d '{"subnet_list": ["b2ae906c-fb7d-4549-b88d-420e0bdb553e"]}' |python -m json.tool
  % Total % Received % Xferd Average Speed Time Time Time Current
                                 Dload Upload Total Spent Left Speed
100 80 100 23 100 57 142 352 --:--:-- --:--:-- --:--:-- 354
{
    "ip_count_list": [
        25
    ]
}
[heat-admin@overcloud-contrailcontroller-0 ~]$ neutron port-create --name testsrv01 `openstack network show sriov-test -c id -f value`
Bad port request: Virtual-Network(['default-domain', 'admin', 'sriov-test']) has exhausted subnet([]).
Neutron server returns request_ids: ['req-760c87c1-05fb-422a-a81c-1311e7b749d0']
[heat-admin@overcloud-contrailcontroller-0 ~]$ curl -H "X-Auth-Token: `openstack token issue -c id -f value`" http://192.168.122.11:8082/virtual-network/18067a99-ed12-4a74-8b50-92577dc27bdb/subnet-ip-count -H "Content-Type: application/json" -d '{"subnet_list": ["b2ae906c-fb7d-4549-b88d-420e0bdb553e"]}' |python -m json.tool
  % Total % Received % Xferd Average Speed Time Time Time Current
                                 Dload Upload Total Spent Left Speed
100 80 100 23 100 57 148 369 --:--:-- --:--:-- --:--:-- 370
{
    "ip_count_list": [
        28
    ]
}

[heat-admin@overcloud-contrailcontroller-0 ~]$ neutron net-show 18067a99-ed12-4a74-8b50-92577dc27bdb
+-----------------------+--------------------------------------------------------------------------------------------------------------+
| Field | Value |
+-----------------------+--------------------------------------------------------------------------------------------------------------+
| admin_state_up | True |
| created_at | 2018-05-19T09:09:37.819442 |
| fq_name | default-domain |
| | admin |
| | sriov-test |
| id | 18067a99-ed12-4a74-8b50-92577dc27bdb |
| name | sriov-test |
| port_security_enabled | True |
| project_id | db666c41aefc4a4581655e3c2e02627c |
| router:external | False |
| shared | False |
| status | ACTIVE |
| subnet_ipam | {"subnet_cidr": "8.8.8.0/24", "ipam_fq_name": ["default-domain", "default-project", "default-network-ipam"]} |
| subnets | b2ae906c-fb7d-4549-b88d-420e0bdb553e |
| tenant_id | db666c41aefc4a4581655e3c2e02627c |
| updated_at | 2018-05-19T09:51:16.185235 |
+-----------------------+--------------------------------------------------------------------------------------------------------------+
[heat-admin@overcloud-contrailcontroller-0 ~]$ neutron subnet-show b2ae906c-fb7d-4549-b88d-420e0bdb553e
+-------------------+-----------------------------------------+
| Field | Value |
+-------------------+-----------------------------------------+
| allocation_pools | {"start": "8.8.8.2", "end": "8.8.8.10"} |
| cidr | 8.8.8.0/24 |
| created_at | |
| dns_nameservers | 0.0.0.0 |
| enable_dhcp | False |
| gateway_ip | 8.8.8.1 |
| host_routes | |
| id | b2ae906c-fb7d-4549-b88d-420e0bdb553e |
| ip_version | 4 |
| ipv6_address_mode | |
| ipv6_ra_mode | |
| name | b2ae906c-fb7d-4549-b88d-420e0bdb553e |
| network_id | 18067a99-ed12-4a74-8b50-92577dc27bdb |
| tenant_id | db666c41aefc4a4581655e3c2e02627c |
| updated_at | |
+-------------------+-----------------------------------------+

Musa Abdin (musamustafa) on 2018-05-19
Changed in juniperopenstack:
milestone: r4.1.1.0 → none
Musa Abdin (musamustafa) on 2018-05-21
Changed in juniperopenstack:
importance: High → Critical
Vineet Gupta (vineetrf) on 2018-05-21
tags: added: 2018-0521-0294 hot-case
Jeba Paulaiyan (jebap) on 2018-05-24
tags: added: releaseblocker

Review in progress for https://review.opencontrail.org/43289
Submitter: Suresh Vinapamula (<email address hidden>)

Reviewed: https://review.opencontrail.org/43289
Committed: http://github.com/Juniper/contrail-controller/commit/3ef5e1c43d1c97cf5532a5e3e673f59f21a7bac4
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit 3ef5e1c43d1c97cf5532a5e3e673f59f21a7bac4
Author: Suresh Venkata <email address hidden>
Date: Thu May 24 16:22:54 2018 -0700

ip_count_list increments even if port creation is not successfull

Description: when address allocation fails, bit is not freed.

Change-Id: Ie5c7ce148784eebe1c4a7e6a0e93189c8705b948
Closes-Bug: #1772156

Review in progress for https://review.opencontrail.org/43374
Submitter: Suresh Vinapamula (<email address hidden>)

Review in progress for https://review.opencontrail.org/43375
Submitter: Suresh Vinapamula (<email address hidden>)

Review in progress for https://review.opencontrail.org/43376
Submitter: Suresh Vinapamula (<email address hidden>)

Review in progress for https://review.opencontrail.org/43377
Submitter: Suresh Vinapamula (<email address hidden>)

Review in progress for https://review.opencontrail.org/43420
Submitter: Suresh Vinapamula (<email address hidden>)

information type: Proprietary → Public

Reviewed: https://review.opencontrail.org/43420
Committed: http://github.com/Juniper/contrail-controller/commit/4479d3bb44b254e081d5a884f037903c5e1ba5c5
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit 4479d3bb44b254e081d5a884f037903c5e1ba5c5
Author: Suresh Venkata <email address hidden>
Date: Wed May 30 19:53:06 2018 -0700

ip_count_list increments even if port creation is not successfull

Description: when address allocation fails, bit is not freed.

Change-Id: Id4f3ff8b7261232039d77a1d3e0b9d0fe38459d7
Closes-Bug: #1772156

Reviewed: https://review.opencontrail.org/43377
Committed: http://github.com/Juniper/contrail-controller/commit/b9ca26884769fe19d80e6820bd35dfdb678ca3ff
Submitter: Zuul (<email address hidden>)
Branch: R3.2

commit b9ca26884769fe19d80e6820bd35dfdb678ca3ff
Author: Suresh Venkata <email address hidden>
Date: Thu May 24 16:22:54 2018 -0700

ip_count_list increments even if port creation is not successfull

Description: when address allocation fails, bit is not freed.

Change-Id: Ie5c7ce148784eebe1c4a7e6a0e93189c8705b948
Closes-Bug: #1772156
(cherry picked from commit 3ef5e1c43d1c97cf5532a5e3e673f59f21a7bac4)

Himanshu (bhimanshu) on 2018-06-20
tags: removed: hot-case

Reviewed: https://review.opencontrail.org/43374
Committed: http://github.com/Juniper/contrail-controller/commit/1439c5182d5a64a1ddcde039542745d62ad5dd6c
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 1439c5182d5a64a1ddcde039542745d62ad5dd6c
Author: Suresh Venkata <email address hidden>
Date: Thu May 24 16:22:54 2018 -0700

ip_count_list increments even if port creation is not successfull

Description: when address allocation fails, bit is not freed.

Change-Id: Ie5c7ce148784eebe1c4a7e6a0e93189c8705b948
Closes-Bug: #1772156
(cherry picked from commit 3ef5e1c43d1c97cf5532a5e3e673f59f21a7bac4)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers